#include <stdio.h>

int main()
{
    int a,b,x,y;
    
    scanf("%d%d",&x,&y);
    scanf("%d%d",&a,&b);
    
    if(b==y  && a<x)
    printf("prvi");
    if(a==x  && b<y)
    printf("drugi");
    if(b==y && a==x)
    printf("nijedan");
    if(a<x && b<y)
    printf("?");
}